using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using NetCord.Hosting.Gateway;
using NetCord.Hosting.Services.ApplicationCommands;

var builder = Host.CreateApplicationBuilder(args);

builder.Services
    .AddDiscordGateway()
    .AddApplicationCommands();


var host = builder.Build();

var configuration = host.Services.GetRequiredService<IConfiguration>();

configuration["Discord:Token"] = Environment.GetEnvironmentVariable("BOT_TOKEN");
//Bot

host.AddSlashCommand("ping", "Ping!", () => "Pong!");
await host.RunAsync();


test